/* This css file is applied before styles.scss loaded */
/* stylelint-disable */

@font-face {
  font-family: 'Moniqa';
  src: url('fonts/Moniqua/Moniqa-BoldParagraph.ttf') format('truetype');
  font-style: normal;
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: 'MoniqaBlackHeading';
  src: url('fonts/Moniqua/Moniqa-BlackHeading.ttf') format('truetype');
  font-style: normal;
  font-weight: 900;
  font-display: swap;
}

@font-face {
  font-family: 'STIX Two Text';
  src: url('fonts/STIXTwoText/STIXTwoText-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: 'Source Sans';
  src: url('fonts/SourceSans/SourceSans3-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: 'Source Sans Pro';
  src: url('fonts/SourceSans/SourceSans3-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'Source Sans Pro';
  src: url('fonts/SourceSans/SourceSans3-SemiBold.ttf') format('truetype');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: 'Georgia';
  src: url('fonts/Georgia/GeorgiaPro-SemiBold.ttf') format('truetype');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: 'Monte Carlo';
  src: url('fonts/MonteCarlo/MonteCarlo-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'Cardo';
  src: url('fonts/Cardo/Cardo-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'Nato Sans Arabic';
  src: url('fonts/NotoSansArabic/NotoSansArabic-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: 'Nato Sans JP';
  src: url('fonts/NotoSansJapanese/NotoSansJapanese-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'Nato Sans JP';
  src: url('fonts/NotoSansJapanese/NotoSansJapanese-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: 'Nato Sans JP';
  src: url('fonts/NotoSansJapanese/NotoSansJapanese-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

html,
body {
  margin: 0;
  font-optical-sizing: auto;
}

.loading-container {
  position: absolute;
  z-index: 9999999;
  display: flex;
  width: 100%;
  min-height: 100%;
  justify-content: center;
  align-items: center;
  transition: opacity 0.8s ease;
  overflow: hidden;
}

stb-root.user-checked + .loading-container {
  opacity: 0;
}

stb-root.user-checked.hide-preloader + .loading-container {
  display: none;
}

stb-root,
.cdk-overlay-container {
  visibility: hidden;
}

body:has(stb-root.user-checked) .cdk-overlay-container,
stb-root.user-checked {
  visibility: visible;
}

/* Hide Google reCAPTCHA badge */
.grecaptcha-badge {
  visibility: hidden;
}

/* this css needs to load faster in order to prevent this bug: VIPL-796: [Gamehall] Sometimes the game background duplicates */
.game-card--picture-wrapper {
  padding: 0.5px;
}
